diff -pruN 1.4.4+dfsg-1/debian/changelog 1.4.7+dfsg-1/debian/changelog
--- 1.4.4+dfsg-1/debian/changelog	2014-01-28 00:18:59.000000000 +0000
+++ 1.4.7+dfsg-1/debian/changelog	2014-03-20 13:20:06.000000000 +0000
@@ -1,3 +1,11 @@
+ruby-ncurses (1.4.7+dfsg-1) unstable; urgency=low
+
+  * New upstream release (Closes: #736571)
+  * Refresh patch Use ncursesw includes
+  * Add patch to use absolute path in shebang in examples/color_pairs.rb
+
+ -- Per Andersson <avtobiff@gmail.com>  Thu, 20 Mar 2014 13:48:40 +0100
+
 ruby-ncurses (1.4.4+dfsg-1) unstable; urgency=low
 
   * New upstream release
diff -pruN 1.4.4+dfsg-1/debian/patches/0001-Use-ncursesw-includes.patch 1.4.7+dfsg-1/debian/patches/0001-Use-ncursesw-includes.patch
--- 1.4.4+dfsg-1/debian/patches/0001-Use-ncursesw-includes.patch	2014-01-28 00:20:41.000000000 +0000
+++ 1.4.7+dfsg-1/debian/patches/0001-Use-ncursesw-includes.patch	2014-03-20 12:52:41.000000000 +0000
@@ -4,7 +4,7 @@ Author: Per Andersson <avtobiff@gmail.co
 This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
 --- a/extconf.rb
 +++ b/extconf.rb
-@@ -129,14 +129,14 @@
+@@ -132,14 +132,14 @@
  have_func("attr_get")
  
  puts "checking for the panel library..."
@@ -22,7 +22,7 @@ This patch header follows DEP-3: http://
      raise "formw library not found"
    end
 @@ -152,7 +152,7 @@
- have_func("get_wch")
+ end
  
  puts "checking for the menu library..."
 -if have_header("menu.h")
diff -pruN 1.4.4+dfsg-1/debian/patches/0002-Absolute-path-to-ruby-interpreter.patch 1.4.7+dfsg-1/debian/patches/0002-Absolute-path-to-ruby-interpreter.patch
--- 1.4.4+dfsg-1/debian/patches/0002-Absolute-path-to-ruby-interpreter.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.4.7+dfsg-1/debian/patches/0002-Absolute-path-to-ruby-interpreter.patch	2014-03-20 13:12:43.000000000 +0000
@@ -0,0 +1,12 @@
+Description: Absolute path to ruby interpreter
+Author: Per Andersson <avtobiff@gmail.com>
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/examples/color_pairs.rb
++++ b/examples/color_pairs.rb
+@@ -1,4 +1,4 @@
+-#! ruby
++#!/usr/bin/ruby
+ 
+ require 'ncursesw'
+ 
diff -pruN 1.4.4+dfsg-1/debian/patches/series 1.4.7+dfsg-1/debian/patches/series
--- 1.4.4+dfsg-1/debian/patches/series	2014-01-28 00:16:21.000000000 +0000
+++ 1.4.7+dfsg-1/debian/patches/series	2014-03-20 13:04:39.000000000 +0000
@@ -1 +1,2 @@
 0001-Use-ncursesw-includes.patch
+0002-Absolute-path-to-ruby-interpreter.patch
diff -pruN 1.4.4+dfsg-1/examples/color_pairs.rb 1.4.7+dfsg-1/examples/color_pairs.rb
--- 1.4.4+dfsg-1/examples/color_pairs.rb	1970-01-01 00:00:00.000000000 +0000
+++ 1.4.7+dfsg-1/examples/color_pairs.rb	2014-03-20 16:19:02.000000000 +0000
@@ -0,0 +1,34 @@
+#!/usr/bin/ruby
+
+require 'ncursesw'
+
+begin
+  scr = Ncurses.initscr()
+  Ncurses.cbreak()
+  Ncurses.noecho()
+  Ncurses.keypad(scr, true)
+
+  $black = Ncurses::COLOR_BLACK
+  $white = Ncurses::COLOR_WHITE
+
+
+  # init pair
+  Ncurses.init_pair 1, $black, $white or raise ArgumentError
+  $cp = Ncurses.COLOR_PAIR(1)
+  $cpb = Ncurses.color_pair(1) # alias for the above
+
+  # some consts
+  $a = Ncurses.const_get "COLOR_GREEN"
+
+ensure
+  # put the screen back in its normal state
+  Ncurses.echo()
+  Ncurses.nocbreak()
+  Ncurses.nl()
+  Ncurses.endwin()
+end
+
+puts "black: #{$black}"
+puts "white: #{$white}"
+
+puts "color pair: #{$cp}"
diff -pruN 1.4.4+dfsg-1/examples/read_line.rb 1.4.7+dfsg-1/examples/read_line.rb
--- 1.4.4+dfsg-1/examples/read_line.rb	2014-01-27 10:08:45.000000000 +0000
+++ 1.4.7+dfsg-1/examples/read_line.rb	2014-03-14 08:15:26.000000000 +0000
@@ -6,6 +6,10 @@
 # Written 2003, 2004 by Tobias Peters
 # No warranties
 # Share and enjoy!
+#
+# 2014: Updated by Gaute Hope
+# Note: This is not wide char / unicode safe - take a look at
+#       form_get_wch.rb for a better example.
 
 require "ncursesw"
 
@@ -26,7 +30,7 @@ def read_line(y, x,
       cursor_pos = [0, cursor_pos-1].max
     when Ncurses::KEY_RIGHT
       # similar, implement yourself !
-    when Ncurses::KEY_ENTER, ?\n, ?\r
+    when Ncurses::KEY_ENTER, "\n".ord
       return string, cursor_pos, ch # Which return key has been used?
     when Ncurses::KEY_BACKSPACE
       string = string[0...([0, cursor_pos-1].max)] + string[cursor_pos..-1]
@@ -38,9 +42,11 @@ def read_line(y, x,
         string[cursor_pos,0] = ch.chr
         cursor_pos += 1
       else
+        Ncurses.mvprintw(15, 10, "A: Got: #{ch.inspect} (#{[ch].pack("U")})")
         Ncurses.beep
       end
     else
+      Ncurses.mvprintw(16, 10, "B: Got: #{ch.inspect} (#{[ch].pack("U")})")
       Ncurses.beep
     end
   end
@@ -54,6 +60,7 @@ if (__FILE__ == $0) then begin
 
   # recognize KEY_ENTER, KEY_BACKSPACE  etc
   Ncurses.keypad(Ncurses.stdscr, true)
+  #Ncurses.nonl()
 
   y = 10
   x = 2
diff -pruN 1.4.4+dfsg-1/extconf.rb 1.4.7+dfsg-1/extconf.rb
--- 1.4.4+dfsg-1/extconf.rb	2014-03-20 16:19:02.000000000 +0000
+++ 1.4.7+dfsg-1/extconf.rb	2014-03-20 16:19:02.000000000 +0000
@@ -109,10 +109,13 @@ have_func("wcolor_set")
 have_func("getattrs")
 
 puts "checking for ncursesw (wide char) functions..."
-if not have_func("wget_wch")
-  raise "no wget_wch found."
+if not (have_func("wget_wch") and
+        have_func("add_wch") and
+        have_func("get_wch"))
+  raise "no wget_wch, add_wch and/or get_wch found."
 end
 
+
 puts "checking which debugging functions to wrap..."
 have_func("_tracef")
 have_func("_tracedump")
@@ -148,9 +151,6 @@ if have_library("formw", "form_driver_w"
   $CFLAGS += " -DHAVE_FORM_DRIVER_W"
 end
 
-have_func("add_wch")
-have_func("get_wch")
-
 puts "checking for the menu library..."
 if have_header("ncursesw/menu.h")
   have_library("menu", "new_menu")
@@ -175,6 +175,11 @@ if have_func("clock_gettime")
   $CFLAGS += " -DHAVE_CLOCK_GETTIME"
 end
 
+# check if we have sys/time.h, should increase portability
+# https://github.com/sup-heliotrope/ncursesw-ruby/issues/25
+# http://stackoverflow.com/questions/7889678/how-can-adding-a-header-increase-portability-sys-time-h
+have_header("sys/time.h")
+
 $CXXFLAGS  = $CFLAGS
 
 create_makefile('ncursesw_bin')
diff -pruN 1.4.4+dfsg-1/ncursesw.gemspec 1.4.7+dfsg-1/ncursesw.gemspec
--- 1.4.4+dfsg-1/ncursesw.gemspec	2014-01-27 10:08:45.000000000 +0000
+++ 1.4.7+dfsg-1/ncursesw.gemspec	2014-03-14 08:15:26.000000000 +0000
@@ -6,7 +6,8 @@ SUMMARY = 'This wrapper provides access
 
 spec = Gem::Specification.new do |s|
   s.name        = 'ncursesw'
-  s.version     = '1.4.4'
+  s.version     = '1.4.7'
+  s.license     = 'LGPL-2.1'
   s.platform    = Gem::Platform::RUBY
   s.authors     = ['Tobias Herzke', 'Sup developers']
   s.email       = ['sup-talk@rubyforge.org']
diff -pruN 1.4.4+dfsg-1/ncurses_wrap.c 1.4.7+dfsg-1/ncurses_wrap.c
--- 1.4.4+dfsg-1/ncurses_wrap.c	2014-01-27 10:08:45.000000000 +0000
+++ 1.4.7+dfsg-1/ncurses_wrap.c	2014-03-14 08:15:26.000000000 +0000
@@ -75,6 +75,10 @@
 #include <time.h>
 #endif
 
+#ifdef HAVE_SYS_TIME_H
+#include <sys/time.h>
+#endif
+
 VALUE mNcurses;  /* module Ncurses */
 VALUE cWINDOW;   /* class Ncurses::WINDOW */
 VALUE cSCREEN;   /* class Ncurses::SCREEN */
@@ -761,9 +765,18 @@ static VALUE rbncurs_color_set(VALUE dum
     return INT2NUM(color_set(NUM2INT(arg1),  ((void)(arg2),NULL)));
 }
 #endif
+
+
+
 static VALUE rbncurs_COLOR_PAIR(VALUE dummy, VALUE arg1) {
     return INT2NUM(COLOR_PAIR(NUM2INT(arg1)));
 }
+
+// alias for COLOR_PAIR for compatibilty with ruby Curses gem.
+static VALUE rbncurs_color_pair(VALUE dummy, VALUE arg1) {
+  return rbncurs_COLOR_PAIR (dummy, arg1);
+}
+
 static VALUE rbncurs_copywin(VALUE dummy, VALUE arg1, VALUE arg2, VALUE arg3, VALUE arg4, VALUE arg5, VALUE arg6, VALUE arg7, VALUE arg8, VALUE arg9) {
     return INT2NUM(copywin(get_window(arg1),  get_window(arg2),  NUM2INT(arg3),  NUM2INT(arg4),  NUM2INT(arg5),  NUM2INT(arg6),  NUM2INT(arg7),  NUM2INT(arg8),  NUM2INT(arg9)));
 }
@@ -1808,6 +1821,7 @@ static void init_functions_2(void) {
     NCFUNC(color_set, 2);
 #endif
     NCFUNC(COLOR_PAIR, 1);
+    NCFUNC(color_pair, 1);
     NCFUNC(copywin, 9);
     NCFUNC(curs_set, 1);
     NCFUNC(def_prog_mode, 0);
diff -pruN 1.4.4+dfsg-1/.pc/0001-Use-ncursesw-includes.patch/extconf.rb 1.4.7+dfsg-1/.pc/0001-Use-ncursesw-includes.patch/extconf.rb
--- 1.4.4+dfsg-1/.pc/0001-Use-ncursesw-includes.patch/extconf.rb	2014-01-27 10:08:45.000000000 +0000
+++ 1.4.7+dfsg-1/.pc/0001-Use-ncursesw-includes.patch/extconf.rb	2014-03-14 08:15:26.000000000 +0000
@@ -109,10 +109,13 @@ have_func("wcolor_set")
 have_func("getattrs")
 
 puts "checking for ncursesw (wide char) functions..."
-if not have_func("wget_wch")
-  raise "no wget_wch found."
+if not (have_func("wget_wch") and
+        have_func("add_wch") and
+        have_func("get_wch"))
+  raise "no wget_wch, add_wch and/or get_wch found."
 end
 
+
 puts "checking which debugging functions to wrap..."
 have_func("_tracef")
 have_func("_tracedump")
@@ -148,9 +151,6 @@ if have_library("formw", "form_driver_w"
   $CFLAGS += " -DHAVE_FORM_DRIVER_W"
 end
 
-have_func("add_wch")
-have_func("get_wch")
-
 puts "checking for the menu library..."
 if have_header("menu.h")
   have_library("menu", "new_menu")
@@ -175,6 +175,11 @@ if have_func("clock_gettime")
   $CFLAGS += " -DHAVE_CLOCK_GETTIME"
 end
 
+# check if we have sys/time.h, should increase portability
+# https://github.com/sup-heliotrope/ncursesw-ruby/issues/25
+# http://stackoverflow.com/questions/7889678/how-can-adding-a-header-increase-portability-sys-time-h
+have_header("sys/time.h")
+
 $CXXFLAGS  = $CFLAGS
 
 create_makefile('ncursesw_bin')
diff -pruN 1.4.4+dfsg-1/.pc/0002-Absolute-path-to-ruby-interpreter.patch/examples/color_pairs.rb 1.4.7+dfsg-1/.pc/0002-Absolute-path-to-ruby-interpreter.patch/examples/color_pairs.rb
--- 1.4.4+dfsg-1/.pc/0002-Absolute-path-to-ruby-interpreter.patch/examples/color_pairs.rb	1970-01-01 00:00:00.000000000 +0000
+++ 1.4.7+dfsg-1/.pc/0002-Absolute-path-to-ruby-interpreter.patch/examples/color_pairs.rb	2014-03-14 08:15:26.000000000 +0000
@@ -0,0 +1,34 @@
+#! ruby
+
+require 'ncursesw'
+
+begin
+  scr = Ncurses.initscr()
+  Ncurses.cbreak()
+  Ncurses.noecho()
+  Ncurses.keypad(scr, true)
+
+  $black = Ncurses::COLOR_BLACK
+  $white = Ncurses::COLOR_WHITE
+
+
+  # init pair
+  Ncurses.init_pair 1, $black, $white or raise ArgumentError
+  $cp = Ncurses.COLOR_PAIR(1)
+  $cpb = Ncurses.color_pair(1) # alias for the above
+
+  # some consts
+  $a = Ncurses.const_get "COLOR_GREEN"
+
+ensure
+  # put the screen back in its normal state
+  Ncurses.echo()
+  Ncurses.nocbreak()
+  Ncurses.nl()
+  Ncurses.endwin()
+end
+
+puts "black: #{$black}"
+puts "white: #{$white}"
+
+puts "color pair: #{$cp}"
diff -pruN 1.4.4+dfsg-1/.pc/applied-patches 1.4.7+dfsg-1/.pc/applied-patches
--- 1.4.4+dfsg-1/.pc/applied-patches	2014-03-20 16:19:02.657006499 +0000
+++ 1.4.7+dfsg-1/.pc/applied-patches	2014-03-20 16:19:02.168993775 +0000
@@ -1 +1,2 @@
 0001-Use-ncursesw-includes.patch
+0002-Absolute-path-to-ruby-interpreter.patch
